### Class

# Xdp Settings

#### Description [src]

    final class Xdp.Settings : GObject.Object
    {
      /* No available fields */
    }

A representation of the settings exposed by the portal.

The `XdpSettings` object is used to access and observe the settings exposed by xdg-desktop-portal.

It is obtained from `xdp_portal_get_settings()`. Call `xdp_settings_read_value()` to read a settings value. Connect to `XdpSettings::changed` to observe value changes.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### xdp_settings_read

Read a setting value within `namespace`, with `key`.

###### xdp_settings_read_all_values

Read all the setting values within `namespace`.

###### xdp_settings_read_string

Read a setting value as unsigned int within `namespace`, with `key`.

###### xdp_settings_read_uint

Read a setting value as unsigned int within `namespace`, with `key`.

###### xdp_settings_read_value

Read a setting value within `namespace`, with `key`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Xdp.Settings::changed

Emitted when a setting value is changed externally.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct XdpSettingsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.